
ChiliProject - Bug # 639: internal error when trying to access some issues

Status: Closed Priority: Normal
Author: Gunter Labes Category: Issue tracking
Created: 2011-09-23 Assignee:
Updated: 2011-09-23 Due date:
Remote issue URL:
Affected version: 2.2.0
Description: When attempting to show certain issues the following backtrace is printed in the log:

Processing IssuesController#show (for 192.168.10.32 at 2011-09-23 12:38:23) [GET]
  Parameters: {"action"=>"show", "id"=>"942", "controller"=>"issues"}
Rendering template within layouts/base
Rendering issues/show.rhtml

ActionView::TemplateError (undefined method `name' for nil:NilClass) on line #2 of 
app/views/issues/_history.rhtml:
1: <% for journal in journals %>
2:   <%= render_journal issue, journal, :edit_permission => :edit_issue_notes,
3:       :edit_own_permission => :edit_own_issue_notes %>
4:   <%= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) %>
5: <% end %>
    
    app/helpers/journals_helper.rb:48:in `render_journal_details'
    app/helpers/journals_helper.rb:47:in `each'
    app/helpers/journals_helper.rb:47:in `collect'
    app/helpers/journals_helper.rb:47:in `render_journal_details'
    app/helpers/journals_helper.rb:46:in `render_journal_details'
    app/helpers/journals_helper.rb:29:in `render_journal'
    app/views/issues/_history.rhtml:2:in 
`_run_rhtml_app47views47issues47_history46rhtml_locals_history_issue_journals_object'
    app/views/issues/_history.rhtml:1:in `each'
    app/views/issues/_history.rhtml:1:in 
`_run_rhtml_app47views47issues47_history46rhtml_locals_history_issue_journals_object'
    app/views/issues/show.rhtml:95:in `_run_rhtml_app47views47issues47show46rhtml'
    app/controllers/issues_controller.rb:102:in `show'
    app/controllers/issues_controller.rb:101:in `show'
    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'
    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'
    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'
    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'
    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'
    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'
    /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /var/chiliproject-git/public/500.html (500 Internal Server Error)

Here are two DB entries for a working (id=943) and not working (id=942) issue in case there is some problem 
with the DB:
id      tracker_id      project_id      due_date        category_id     status_id       assigned_to_id  priority_id     
fixed_version_id        author_id       lock_version    created_on              updated_on              start_date      
done_ratio      estimated_hours parent_id       root_id lft     rgt
942     2               4               2011-09-30      NULL            2               5               5               NULL                    5  
             13              2011-08-19 17:25:08     2011-09-23 12:39:23     2011-08-19      20              NULL            
931             931     6       7
943     5               4               NULL            NULL            5               2               3               NULL                    2     
          5               2011-08-22 11:49:45     2011-09-23 13:31:06     2011-08-22      0               NULL            
NULL            943     1       2

The issues come from a recent migration from trac to chiliproject.
Please let me know if you need further info to analyze the problem.

Associated revisions
2008-02-17 03:17 pm - Jean-Philippe Lang 
Fixes:
* email notifications: host name is missing in generated links (#639, #201)
* email notifications: referenced changesets, wiki pages, attachments... are not turned into links (only ticket ids are)
* attachment links and inline images don't work in issue notes

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1161 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-09-23 05:19 pm - Gunter Labes
- Status changed from Open to Closed

Sorry, didn't check the formatting... Re-issued as #640.
